#
# Cookbook Name:: gh-mac
# Recipe:: default
#
# Author:: Joshua Timberman <opensource@housepub.org>
# Copyright:: Copyright (c) 2011, Joshua Timberman
# License:: Apache License, Version 2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

dest = "#{Chef::Config[:file_cache_path]}/GitHub\ for\ Mac\ #{node['ghmac']['version']}.zip"

remote_file "GitHub Mac #{node['ghmac']['version']}" do
  path dest
  checksum node['ghmac']['checksum']
  source node['ghmac']['url']
end

execute "extract-ghmac-app" do
  command "unzip '#{dest}'"
  cwd node['ghmac']['install_to']
  creates "#{node['ghmac']['install_to']}/GitHub.app/Contents/Resources/git/bin/git"
end
